aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/run_tests
diff options
context:
space:
mode:
authorGravatar Nicolas "Pixel" Noble <pixel@nobis-crew.org>2015-06-17 07:28:16 +0200
committerGravatar Nicolas "Pixel" Noble <pixel@nobis-crew.org>2015-06-17 07:28:16 +0200
commit43e5f5663f493478a71b0183e62c0c88931bc62c (patch)
treee37231849e8ed62db9e11da8a1024ac037acbfbd /tools/run_tests
parent94528cb58545a021df177e64a20efc91c1ac6226 (diff)
Various Jenkins-related tweaks.
-) created a .profile at the root of the docker image - seems the new nvm script requires that. -) installing simplejson and mako python packages, for the sanity check. -) calling prepare_travis.sh in order to try and download precompiled packages for openssl and protobuf. -) using the new "config" axis. -) improved the output of prepare_travis.sh.
Diffstat (limited to 'tools/run_tests')
-rwxr-xr-xtools/run_tests/prepare_travis.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tools/run_tests/prepare_travis.sh b/tools/run_tests/prepare_travis.sh
index 34a058f2a8..10546535e8 100755
--- a/tools/run_tests/prepare_travis.sh
+++ b/tools/run_tests/prepare_travis.sh
@@ -32,17 +32,17 @@ cd `dirname $0`/../..
grpc_dir=`pwd`
distrib=`md5sum /etc/issue | cut -f1 -d\ `
-echo "Configuring for disbribution $distrib"
+echo "Configuring for distribution $distrib"
git submodule | while read sha path extra ; do
cd /tmp
name=`basename $path`
file=$name-$sha-$CONFIG-prebuilt-$distrib.tar.gz
- echo -n "$file ..."
+ echo -n "Looking for $file ..."
url=http://storage.googleapis.com/grpc-prebuilt-packages/$file
wget -q $url && (
echo " Found."
tar xfz $file
- ) || true
+ ) || echo " Not found."
done
mkdir -p bins/$CONFIG/protobuf